Name:           assimp
Version:        2.0.863
Release:        1%{?dist}
Summary:        Open Asset Import Library

Group:          System Environment/Libraries
License:        BSD
URL:            http://assimp.sourceforge.net/
# We strip and repack the file for file size efficiency (adjust version):
# wget http://downloads.sourceforge.net/project/assimp/assimp-2.0/assimp--2.0.863-sdk.zip
# unzip assimp--2.0.863-sdk.zip
# find assimp--2.0.863-sdk -name '*.dll' -exec rm {} \;
# tar cvfj assimp--2.0.863-sdk.tar.bz2 assimp--2.0.863-sdk
Source0:        %{name}--%{version}-sdk.tar.bz2
Patch0:         %{name}-2.0.863-fedora.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake, gcc-c++, dos2unix
BuildRequires:  boost-devel, zlib-devel, minizip-devel, irrlicht-devel

%description
Open Asset Import Library (short name: Assimp) is a portable Open Source
library to import various well-known 3D model formats in a uniform manner.

Assimp aims at providing a full asset conversion pipeline for use in game
engines and real-time rendering systems of any kind but is not limited to
this audience. 


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}--%{version}-sdk
%patch0 -p1 -b .fedora

rm -rf contrib/cppunit-1.12.1 contrib/irrXML contrib/unzip contrib/zlib
dos2unix README
dos2unix LICENSE

%build
mkdir build
cd build
%cmake ..
make

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README
%{_bindir}/assimp
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Mar 21 2011 Tim Niemueller <tim@niemueller.de> - 2.0.863-1
- Initial package

